import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:widgetbook/src/addons/addon_provider.dart';
import 'package:widgetbook/src/constants/radii.dart';
import 'package:widgetbook/widgetbook.dart';
import 'package:widgetbook_core/widgetbook_core.dart' as core;

class SettingsPanel extends StatelessWidget {
  const SettingsPanel({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    final addons = context.watch<AddOnProvider>().value;
    final knobs = context.watch<KnobsNotifier>().all();
    return DecoratedBox(
      decoration: BoxDecoration(
        color: Theme.of(context).colorScheme.inversePrimary.withOpacity(0.05),
        borderRadius: Radii.defaultRadius,
      ),
      child: Column(
        children: [
          Expanded(
            child: SingleChildScrollView(
              child: core.SettingsPanel(
                settings: {
                  'Properties': addons.map((e) => e.builder(context)).toList(),
                  'Knobs': knobs.map((e) => e.build(context)).toList(),
                },
              ),
            ),
          ),
        ],
      ),
    );
  }
}
