import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:widgetbook/src/builder/provider/builder_provider.dart';
import 'package:widgetbook/src/constants/radii.dart';
import 'package:widgetbook/src/navigation/providers/preview_provider.dart';
import 'package:widgetbook/src/workbench/preview.dart';

class Workbench extends StatefulWidget {
  const Workbench({
    super.key,
  });

  @override
  State<Workbench> createState() => _WorkbenchState();
}

class _WorkbenchState extends State<Workbench> {
  @override
  Widget build(BuildContext context) {
    final appBuilder = context.watch<BuilderProvider>().value.appBuilder;
    final state = context.watch<PreviewProvider>().state;
    final useCase = state.selectedUseCase;
    return Column(
      children: [
        Expanded(
          child: DecoratedBox(
            decoration: BoxDecoration(
              borderRadius: Radii.defaultRadius,
              color: Theme.of(context)
                  .colorScheme
                  .inversePrimary
                  .withOpacity(0.05),
            ),
            child: useCase == null
                ? Container()
                : Preview(
                    useCase: useCase,
                    appBuilder: appBuilder,
                  ),
          ),
        ),
      ],
    );
  }
}
